
% Special Equipment Names

\newcommand{\onyxcore}{Onyx Core}
\newcommand{\flameoftheeast}{Flame of the East}
\newcommand{\eyeofthebull}{Eye of the Bull}

\newcommand{\maskofages}{Mask of Ages}
\newcommand{\kadimbinding}{Kadim Binding}
\newcommand{\blazeofprotection}{Blaze of Protection}

\newcommand{\blessediconofzalamantekash}{Blessed Icon of Zalaman Tekash}
\newcommand{\theirmastersbanner}{\newrule{Their Master's Banner}}

\newcommand{\goldenidolofshamut}{Golden Idol of Shamut}
\newcommand{\tabletofvezodinezh}{Tablet of Vezodinezh}
\newcommand{\gauntletsofmadzhab}{Gauntlets of Madzhab}
\newcommand{\lugarsdice}{Lugar's Dice}
\newcommand{\breathofthebrassbull}{Breath of the Brass Bull}
\newcommand{\ringofdesiccation}{Ring of Desiccation}
\newcommand{\iconofashuruk}{\newrule{Icon of Ashuruk}}


% Special Equipment Texts

\newcommand{\onyxcoredef}{%
	Attacks made with this weapon become \newrule{\textbf{Flaming Attacks} and \textbf{Magical Attacks}} and gain \textbf{Multiple Wounds (D3, against Flammable)}.%
}
\newcommand{\flameoftheeastdef}{%
	The wielder gains \textbf{\volcanicembrace{} (\removedrule{2}D3)}.%
}

\newcommand{\eyeofthebulldef}{%
	\newrule{Close Combat Attacks and Shooting Attacks made with this weapon hit automatically. These hits are resolved with Strength 5, Armour Penetration 10, and \textbf{Magical Attacks}. In addition, the wielder's Attack Value is \textbf{set} to 1 and Close Combat Attacks made with this weapon gain \textbf{Multiple Wounds (2)}.}%
}

\newcommand{\maskofagesdef}{%
	The bearer gains \textbf{Aegis (+1, against  Melee Attacks)}, \textbf{\battlefocus{}}, and  \textbf{\fear{}}. If the bearer's model is Infantry, it also gains +1 Armour.%
}
\newcommand{\kadimbindingrestriction}{Cannot be taken by models with Towering Presence}
\newcommand{\kadimbindingdef}{%
	The bearer's weapons lose \twohanded{} if they had it. While using this Shield, the bearer gains \textbf{\aegis{} (+1, against Flaming Attacks, \maxi{} 2+)} and \textbf{\parry{}}.%
}
\newcommand{\blazeofprotectionrestriction}{Infantry models only}
\newcommand{\blazeofprotectiondef}{%
	While using this Shield, the bearer gains +1 Armour and \textbf{\fearless{}}. Every enemy model in base contact with the bearer that could allocate one or more Close Combat Attacks towards it but doesn't, after resolving its Close Combat Attacks, suffers 1 hit with Strength 4, Armour Penetration 0, and \textbf{\flamingattacks{}}, distributed onto the model's Health Pool. This is considered a Special Attack.%
}

\newcommand{\blessediconofzalamantekashrestriction}{Cannot be taken by \newrule{Vassal Cavalry or} units that count towards Core}
\newcommand{\blessediconofzalamantekashdef}{%
	The Armour Penetration of Special Attacks against models in the bearer's unit is \textbf{set} to 0 during the Melee Phase.%
}

\newcommand{\goldenidolofshamutdef}{%
	If the bearer's model is Infantry, its Advance Rate is \textbf{set} to \distance{4} and its March Rate is \textbf{set} to \distance{12}. In addition, the bearer can cast \spellformat{\alchemyspellthree}{\alchemy} as a Bound Spell with Power Level (4/8).%
}
\newcommand{\tabletofvezodinezhdef}{%
	When the bearer attempts to cast a non-Bound Spell using three or more Magic Dice, treat a single rolled \result{1} as a \newrule{natural} \result{3}. If the bearer would suffer a Witchfire Miscast effect, treat it as Magical Inferno instead.%
}
\newcommand{\gauntletsofmadzhabrestriction}{Infantry models only}
\newcommand{\gauntletsofmadzhabdef}{%
	The bearer gains +1 Strength and +1 Armour Penetration. Each of its Close Combat Attacks with a natural to-hit roll of \result{1} is distributed onto the bearer's unit, distributed by the owner unless specifically stated otherwise.%
}
\newcommand{\lugarsdicedef}{%
	A single model part of the bearer's model can reroll a single failed to-hit, to-wound, or Armour Save roll per Player Turn. Crush Attacks are not affected.%
}
\newcommand{\breathofthebrassbullrestriction}{Cannot be taken by models with Towering Presence}
\newcommand{\breathofthebrassbulldef}{%
	The bearer's model gains +1 Health Point and the bearer gains \textbf{\breathattack{} (\toxicattacks{})}.%
}
\newcommand{\ringofdesiccationdef}{%
	At the start of every Round of Combat, every enemy unit in base contact with the bearer's model gains one \textbf{\incendiary{}} marker.%
}

\newcommand{\theirmastersbannerrestriction}{\newrule{Vassal Levies and Vassal Cavalry only}}
\newcommand{\theirmastersbannerdef}{%
	\newrule{While the bearer's unit is within \distance{6} of one or more models with Infernal Brand, models in the bearer's unit without Infernal Brand gain \textbf{Battle Focus} and may reroll failed Charge Range rolls in the Charge Phase.}%
}

\newcommand{\iconofashurukdef}{%
	\newrule{One use only. May be activated at the start of any Melee Phase. The bearer gains \textbf{Volcanic Embrace (X)}, where X is the number of friendly units within \distance{6} that contain at least one model with Magical Attacks. In addition, attacks made by friendly units within \distance{6} of the bearer, except attacks made by the bearer, lose Flaming Attacks and Magical Attacks (if applicable). The effects last until the end of the Player Turn.}%
}
